﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace ComboBox
{
    public class Employee
    {
        private int id;
        public int ID
        {
            get { return id; }
            set { id = value; }
        }
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
    }

    public class MainPageViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if (propertyChanged != null)
            {
                propertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    
        private ObservableCollection<Employee> employeeCollection;
        public ObservableCollection<Employee> EmployeeCollection
        {
            get { return employeeCollection; }
            set 
            {
                employeeCollection = value;
                OnPropertyChanged("EmployeeCollection");
            }
        }


        private ObservableCollection<Employee> employeeCollection1;
        public ObservableCollection<Employee> EmployeeCollection1
        {
            get { return employeeCollection1; }
            set
            {
                employeeCollection1 = value;
                OnPropertyChanged("EmployeeCollection1");
            }
        }

        public MainPageViewModel()
        {
            EmployeeCollection = new ObservableCollection<Employee>();
            EmployeeCollection.Add(new Employee() { ID = 1, Name = "Frank" });
            EmployeeCollection.Add(new Employee() { ID = 2, Name = "James" });
            EmployeeCollection.Add(new Employee() { ID = 3, Name = "Steve" });
            EmployeeCollection.Add(new Employee() { ID = 4, Name = "Lucas" });
            EmployeeCollection.Add(new Employee() { ID = 5, Name = "Mark" });
            EmployeeCollection.Add(new Employee() { ID = 6, Name = "Michael" });
            EmployeeCollection.Add(new Employee() { ID = 7, Name = "Aldrin" });
            EmployeeCollection.Add(new Employee() { ID = 8, Name = "Jack" });
            EmployeeCollection.Add(new Employee() { ID = 9, Name = "Howard" });

            EmployeeCollection1 = new ObservableCollection<Employee>();
            EmployeeCollection1.Add(new Employee() { ID = 11, Name = "Item 1" });
            EmployeeCollection1.Add(new Employee() { ID = 12, Name = "Item 2" });
            EmployeeCollection1.Add(new Employee() { ID = 13, Name = "Item 3" });
            EmployeeCollection1.Add(new Employee() { ID = 14, Name = "Item 4" });
            EmployeeCollection1.Add(new Employee() { ID = 15, Name = "Item 5" });
            EmployeeCollection1.Add(new Employee() { ID = 16, Name = "Item 6" });
            EmployeeCollection1.Add(new Employee() { ID = 17, Name = "Item 7" });
        }
    }
}
